Name:           python-kflow
Version:        1.2.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        KLog.co package for ETLs with performance optimizations

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/teu-ai/etl
Source:         %{pypi_source kflow}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'kflow' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-kflow
Summary:        %{summary}

%description -n python3-kflow %_description


%prep
%autosetup -p1 -n kflow-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-kflow -f %{pyproject_files}


%changelog
%autochangelog